#version 330 core

uniform sampler2D diffuse;

in vec2 uv;
in vec2 params; // alpha, alpha

layout (location = 0) out vec4 frag_color;


void main()
{
	vec4 diff = texture(diffuse, uv);
	if ( diff.a < 0.01 ) discard;

	diff.a *= params.x;

	frag_color.rgb = diff.rgb;
	frag_color.a = diff.a;
}
